Bug 659393 - packages in the javax namespace in common/lib can't be overridden with WEB-INF; please don't put them there
Summary: packages in the javax namespace in common/lib can't be overridden with WEB-IN...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: tomcat5
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-02 17:47 UTC by Matthew Miller
Modified: 2013-03-04 00:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-04 00:13:30 UTC
Type: ---


Attachments (Terms of Use)

Description Matthew Miller 2010-12-02 17:47:21 UTC
If packages are in the javax namespace, they don't follow the ordering in http://tomcat.apache.org/tomcat-5.5-doc/class-loader-howto.html#Class_Loader_Definitions

The build-jar-repository script called in %postinstall of tomcat5-common-lib causes a number of jar files to be put into common/lib, and some of these are in that namespace.

This causes problems, because some of the packages (like the one providing javamail) are too old for many web apps, and there's no clean workaround.

For example, Atlassian Jira recommends this: 
http://confluence.atlassian.com/display/JIRA/Configuring+JIRA+to+Send+SMTP+Mail#ConfiguringJIRAtoSendSMTPMail-MovetheJavaMailClasses 

But the problem certainly isn't limited to Jira.

Please don't put jar files in common/lib unless they are in the default list given by Tomcat at http://tomcat.apache.org/tomcat-5.5-doc/class-loader-howto.html#Class_Loader_Definitions.


Thanks.

Comment 1 Fedora Admin XMLRPC Client 2011-09-08 14:47:41 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Mat Booth 2013-03-04 00:13:30 UTC
This package was retired:

http://pkgs.fedoraproject.org/cgit/tomcat5.git/tree/dead.package


Note You need to log in before you can comment on or make changes to this bug.